## org.eclipse.emf.edit.ui.provider
Class PropertyDescriptor

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.PropertyDescriptor

All Implemented Interfaces:
  IPropertyDescriptor

    public class PropertyDescriptor

extends java.lang.Object
implements IPropertyDescriptor

This is used to encapsulate an `IItemPropertyDescriptor` along with the object for which it is an item property source and make it behave like an `IPropertyDescriptor`.

Nested Class Summary
`static class` `PropertyDescriptor.EDataTypeCellEditor`
`protected static class` `PropertyDescriptor.EDataTypeValueHandler` A delegate for handling validation and conversion for data type values.
`static class` `PropertyDescriptor.FloatCellEditor` Deprecated.
`static class` `PropertyDescriptor.IntegerCellEditor` Deprecated.

Field Summary
`protected static EcorePackage` `ecorePackage`
`protected IItemPropertyDescriptor` `itemPropertyDescriptor` This is the descriptor to which we will delegate all the `IPropertyDescriptor` methods.
`protected java.lang.Object` `object` This is the object for which this class is a property source.

Constructor Summary
`PropertyDescriptor(java.lang.Object object, IItemPropertyDescriptor itemPropertyDescriptor)` An instance is constructed from an object and its item property source.

Method Summary
`protected CellEditor` `createEDataTypeCellEditor(EDataType eDataType, Composite composite)`
`CellEditor` `createPropertyEditor(Composite composite)` This returns the cell editor that will be used to edit the value of this property.
`java.lang.String` `getCategory()`
`java.lang.String` `getDescription()`
`java.lang.String` `getDisplayName()`
`protected ILabelProvider` `getEditLabelProvider()`
`java.lang.String[]` `getFilterFlags()`
`java.lang.Object` `getHelpContextIds()`
`java.lang.Object` `getId()`
`ILabelProvider` `getLabelProvider()`
`boolean` `isCompatibleWith(IPropertyDescriptor anotherProperty)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### object

    protected java.lang.Object object

  This is the object for which this class is a property source.

### itemPropertyDescriptor

    protected IItemPropertyDescriptor itemPropertyDescriptor

  This is the descriptor to which we will delegate all the `IPropertyDescriptor` methods.

### ecorePackage

    protected static final EcorePackage ecorePackage

Constructor Detail

### PropertyDescriptor

    public PropertyDescriptor(java.lang.Object object,
                              IItemPropertyDescriptor itemPropertyDescriptor)

  An instance is constructed from an object and its item property source.

Method Detail

### getCategory

    public java.lang.String getCategory()

  Specified by:
    `getCategory` in interface `IPropertyDescriptor`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `IPropertyDescriptor`

### getDisplayName

    public java.lang.String getDisplayName()

  Specified by:
    `getDisplayName` in interface `IPropertyDescriptor`

### getFilterFlags

    public java.lang.String[] getFilterFlags()

  Specified by:
    `getFilterFlags` in interface `IPropertyDescriptor`

### getHelpContextIds

    public java.lang.Object getHelpContextIds()

  Specified by:
    `getHelpContextIds` in interface `IPropertyDescriptor`

### getId

    public java.lang.Object getId()

  Specified by:
    `getId` in interface `IPropertyDescriptor`

### getLabelProvider

    public ILabelProvider getLabelProvider()

  Specified by:
    `getLabelProvider` in interface `IPropertyDescriptor`

### getEditLabelProvider

    protected ILabelProvider getEditLabelProvider()

### isCompatibleWith

    public boolean isCompatibleWith(IPropertyDescriptor anotherProperty)

  Specified by:
    `isCompatibleWith` in interface `IPropertyDescriptor`

### createEDataTypeCellEditor

    protected CellEditor createEDataTypeCellEditor(EDataType eDataType,
                                                   Composite composite)

### createPropertyEditor

    public CellEditor createPropertyEditor(Composite composite)

  This returns the cell editor that will be used to edit the value of this property. This default implementation determines the type of cell editor from the nature of the structural feature.

  Specified by:
    `createPropertyEditor` in interface `IPropertyDescriptor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.